## kopete 18.04.3

=== debian/changelog ===
kopete (4:18.04.3-0ubuntu2) cosmic; urgency=medium

  * libjingle support FTBFS with glibc 2.28. Disable temporarily to
    assist the migration of the rest of KDE PIM.

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 25 Aug 2018 23:53:46 +0100

kopete (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.90)
  * Merge from debian experimental: remaining changes
    - Run autotests on ubuntu infra, not at build time
    - Kubuntu VCS fields
  * New upstream release (18.04.0)
  * Mark symbbol otional for Qt 5.10
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)
  * Update install files
  * debian/not-installed: Update to format required by dh_missing

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 18:54:23 +0100

kopete (4:18.03.90-1) experimental; urgency=medium

  * Team upload.
  * New upstream development release.
  * Update symbols file.
  * Tighten the inter-library dependencies.

 -- Pino Toscano <pino@debian.org>  Sat, 07 Apr 2018 10:16:22 +0200

kopete (4:18.03.80-1) experimental; urgency=medium

  * Team upload.
  * New upstream development release:
    - no more ships a browser plugin (Closes: #777081)
    - switches to Qt5/KF5 (Closes: #874985)
  * Update the build dependencies following the port to Frameworks:
    - remove kde-sc-dev-latest, kdelibs5-dev, kdepimlibs5-dev, libqca2-dev,
      libqimageblitz-dev, and libqjson-dev
    - add extra-cmake-modules, qtbase5-dev, libkf5config-dev,
      libkf5contacts-dev, libkf5coreaddons-dev, libkf5crash-dev,
      libkf5dbusaddons-dev, libkf5doctools-dev, libkf5emoticons-dev,
      libkf5i18n-dev, libkf5identitymanagement-dev, libkf5kcmutils-dev,
      libkf5kdelibs4support-dev, libkf5khtml-dev, libkf5kio-dev,
      libkf5libkleo-dev, libkf5notifyconfig-dev, libkf5parts-dev,
      libkf5texteditor-dev, libkf5wallet-dev, libphonon4qt5-dev,
      libphonon4qt5experimental-dev, and libqca-qt5-2-dev
  * Switch the libgpgme11-dev build dependency to libgpgmepp-dev.
  * Use the right makefile class:
    - use debian-qt-kde.mk v3
    - bump the pkg-kde-tools build dependency to >= 0.15.16
  * Use https for Format in copyright.
  * Rename libkopete4 to libkopete1, following the upstream SONAME change.
  * Update/rewrite install files.
  * Update symbols file.
  * Break/replace against kde-l10n that ships translations.
  * Switch to dh-exec for installing libjingle-call only on Linux
    architectures:
    - add the dh-exec build dependency
    - ensure usr/bin/libjingle-call is installed only on linux-any
      architectures
    - remove creation/removal of kopete.install.kfreebsd
  * Update the runtime relationships:
    - replace libqca2-plugins with libqca-qt5-2-plugins
    - replace libqt4-sql-sqlite with libqt5sql5-sqlite
    - remove texlive-latex-base, as there is no LaTeX plugin
    - remove kdeartwork-emoticons, as it does not exist anymore
    - switch from the result of dh_sameversiondep to a simple qtbase5-dev for
      libkopete-dev: it should be enough for now
  * Update lintian overrides.
  * Stop excluding kdepim-runtime from the dh_shlibdeps results, as it is no
    more injected.
  * Split a kopete-data out of kopete
    - add proper breaks/replaces
  * Update watch file to point to the unstable releases, for now.
  * Drop the dh_acc autopkgtest, and stuff, since it is long outdated.
  * Enable the test suite:
    - add the xauth, and xvfb build dependencies
    - run dh_auto_test under xvfb-run
    - drop the autopkgtest running it (since it is also the wrong place for it)
  * Update README.Debian to the various changes.

 -- Pino Toscano <pino@debian.org>  Mon, 02 Apr 2018 23:00:17 +0200
