=== debian/control ===
Source: kopete
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.9~),
               debhelper (>= 9),
               dh-exec,
               extra-cmake-modules (>= 5.25.0~),
               libasound2-dev (>= 1.0.14a) [linux-any],
               libboost-dev,
               libexpat-dev,
               libexpat1-dev,
               libgadu-dev (>= 1.8.0),
               libgif-dev,
               libgnutls28-dev,
               libgpgmepp-dev,
               libidn11-dev,
               libjpeg-dev,
               libjsoncpp-dev,
               libkf5config-dev (>= 5.25.0~),
               libkf5contacts-dev (>= 4:18.04.3~),
               libkf5coreaddons-dev (>= 5.25.0~),
               libkf5crash-dev (>= 5.25.0~),
               libkf5dbusaddons-dev (>= 5.25.0~),
               libkf5doctools-dev (>= 5.25.0~),
               libkf5emoticons-dev (>= 5.25.0~),
               libkf5i18n-dev (>= 5.25.0~),
               libkf5identitymanagement-dev (>= 18.04.3~),
               libkf5kcmutils-dev (>= 5.25.0~),
               libkf5kdelibs4support-dev (>= 5.25.0~),
               libkf5khtml-dev (>= 5.25.0~),
               libkf5kio-dev (>= 5.25.0~),
               libkf5libkleo-dev (>= 4:18.04.3~),
               libkf5notifyconfig-dev (>= 5.25.0~),
               libkf5parts-dev (>= 5.25.0~),
               libkf5texteditor-dev (>= 5.25.0~),
               libkf5wallet-dev (>= 5.25.0~),
               libmeanwhile-dev,
               libmediastreamer-dev (>= 3.6),
               libortp-dev (>= 0.13),
               libotr5-dev,
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libqca-qt5-2-dev,
               libsqlite3-dev,
               libsrtp0-dev,
               libssl1.0-dev,
               libv4l-dev [linux-any],
               libxdamage-dev,
               libxml2-dev,
               libxslt1-dev,
               libxss-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.6.0~),
               xauth,
               xvfb,
               zlib1g-dev,
Standards-Version: 4.1.3
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kopete
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kopete

Package: libkopete1
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: kopete (= ${binary:Version})
Description: main Kopete library
 Kopete is an instant messaging and chat application with support for a wide
 variety of services, such as AIM, Yahoo, ICQ, MSN, and Jabber.  Advanced
 features and additional protocols are available as plugins.
 .
 This package contains main Kopete library which is used by Kopete and its
 plugins.
 .
 This package is part of the KDE networking module.

Package: kopete
Section: net
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
 kopete-data (= ${source:Version}),
Recommends: libqca-qt5-2-plugins, libqt5sql5-sqlite,
Suggests: imagemagick, khelpcenter,
Description: instant messaging and chat application
 Kopete is an instant messaging and chat application with support for a wide
 variety of services, such as AIM, Yahoo, ICQ, MSN, and Jabber.  Advanced
 features and additional protocols are available as plugins.
 .
 This package is part of the KDE networking module.

Package: kopete-data
Section: net
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends},
Breaks: kopete (<< 4:18.03.80~), ${kde-l10n:all},
Replaces: kopete (<< 4:18.03.80~), ${kde-l10n:all},
Description: data files for Kopete
 Kopete is an instant messaging and chat application with support for a wide
 variety of services, such as AIM, Yahoo, ICQ, MSN, and Jabber.  Advanced
 features and additional protocols are available as plugins.
 .
 This package contains the data files.
 .
 This package is part of the KDE networking module.

Package: libkopete-dev
Section: libdevel
Architecture: any
Depends: libkopete1 (= ${binary:Version}),
         qtbase5-dev (>= 5.6.0~),
         ${misc:Depends},
Description: development files for the Kopete instant messaging and chat application
 Kopete is an instant messaging and chat application with support for a wide
 variety of services, such as AIM, Yahoo, ICQ, MSN, and Jabber. Advanced
 features and additional protocols are available as plugins.
 .
 This package contains development files needed for building Kopete plugins.
 .
 This package is part of the KDE networking module.
