## kopete 18.08.3

=== debian/changelog ===
kopete (4:18.08.3-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Merge changes from 4:17.08.3-2:
    - stop passing -DBUILD_skypebuttons=OFF to cmake, as not needed anymore in
      newer versions
    - refresh patch fix-mediastreamer-ftbfs.patch from #890606
  * Update install files.

 -- Pino Toscano <pino@debian.org>  Sun, 11 Nov 2018 13:23:21 +0100

kopete (4:18.04.2-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Remove the libboost-dev, and libgif-dev build dependencies, no more needed.
  * Update install files.

 -- Pino Toscano <pino@debian.org>  Sun, 17 Jun 2018 08:26:21 +0200

kopete (4:18.04.1-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (18.04.1).
  * Fix "Please migrate to openssl1.1 in buster" (Closes: #858938)
    - Added patch from Fedora kopete-17.08.3-openssl-1.1.patch.
    - Replaces Build-Dependency from libssl1.0-dev to libssl-dev.
  * Update build-deps and deps with the info from cmake
  * Update copyright file for new upstream.
  * Add upstream signing key.

 -- Sandro Knauß <hefee@debian.org>  Fri, 01 Jun 2018 12:58:57 +0200

kopete (4:18.04.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch watch file back to stable releases.
  * Switch Vcs-* fields to salsa.debian.org.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
  * Bump Standards-Version to 4.1.4, no changes required.
  * Update symbols file.

 -- Pino Toscano <pino@debian.org>  Sun, 22 Apr 2018 12:48:37 +0200
