## kopete 18.12.3

=== debian/changelog ===
kopete (4:18.12.3-0ubuntu2) disco; urgency=medium

  * No-change rebuild for fixed akonadi server.

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 07 Apr 2019 17:46:40 +0100

kopete (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 16 Mar 2019 15:06:16 +0000

kopete (4:18.08.3-1ubuntu1) disco; urgency=medium

  * Merge Debian experimental changes. Remaining changes:
    - d/upstream/metadata: Update for KDE cgit Vcs.
    - d/control: Bumped build deps.
    - d/control: Kubuntu Vcs fields.
    - d/not-installed: Update to format required by dh_missing.
    - Keep our symbols files.
    - d/patches: add back fix-glibc2.28-ftbfs.patch from Buster

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 06 Mar 2019 11:43:06 +0000

kopete (4:18.04.3-0ubuntu3) disco; urgency=medium

  * Skip tests. Too expensive for a package barely supported.

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 16 Feb 2019 17:47:48 +0000
