=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kopete
 Section: kde
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>,
            Modestas Vainius <modax@debian.org>,
            George Kiagiadakis <kiagiadakis.george@gmail.com>,
@@ -21,7 +22,7 @@
                libjpeg-dev,
                libjsoncpp-dev,
                libkf5config-dev (>= 5.25.0~),
-               libkf5contacts-dev,
+               libkf5contacts-dev (>= 4:18.12.3~),
                libkf5coreaddons-dev (>= 5.25.0~),
                libkf5crash-dev (>= 5.25.0~),
                libkf5dbusaddons-dev (>= 5.25.0~),
@@ -29,12 +30,12 @@
                libkf5doctools-dev (>= 5.25.0~),
                libkf5emoticons-dev (>= 5.25.0~),
                libkf5i18n-dev (>= 5.25.0~),
-               libkf5identitymanagement-dev,
+               libkf5identitymanagement-dev (>= 18.12.3~),
                libkf5kcmutils-dev (>= 5.25.0~),
                libkf5kdelibs4support-dev (>= 5.25.0~),
                libkf5khtml-dev (>= 5.25.0~),
                libkf5kio-dev (>= 5.25.0~),
-               libkf5libkleo-dev (>= 4:16.12.0~),
+               libkf5libkleo-dev (>= 4:18.12.3~),
                libkf5notifyconfig-dev (>= 5.25.0~),
                libkf5parts-dev (>= 5.25.0~),
                libkf5texteditor-dev (>= 5.25.0~),
@@ -62,8 +63,8 @@
                zlib1g-dev,
 Standards-Version: 4.2.1
 Homepage: http://www.kde.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kopete
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kopete.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kopete
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kopete
 
 Package: kopete
 Section: net
