=== debian/rules ===
--- 
+++ 
@@ -5,8 +5,6 @@
 ifneq ($(DEB_HOST_ARCH_OS),linux)
   CONFIGURE_ARGS += -DWITH_GOOGLETALK=false
 endif
-
-CONFIGURE_ARGS += -DWITH_libjingle=OFF
 
 l10npkgs_firstversion_ok := 4:18.04.0~
 
@@ -19,8 +17,8 @@
 	$(overridden_command) -- $(CONFIGURE_ARGS)
 
 override_dh_auto_test:
-	# Disable dh_auto_test at build time
-	:
+	xvfb-run -a --server-args="-screen 0 1024x768x24 +extension GLX" -- \
+	  $(overridden_command) --no-parallel
 
 override_dh_shlibdeps:
 	$(overridden_command) -plibkopete1 -- -xkopete
