## kopete 19.04.3

=== debian/changelog ===
kopete (4:19.04.3-0ubuntu2) eoan; urgency=medium

  * Fix l10n breaks/replaces version (LP: #1841116)
    - debian/rules: set l10npkgs_firstversion_ok := 4:17.08.3~ rather than
      incorrect 4:18.04.0~

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 26 Aug 2019 17:32:15 +0100

kopete (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 23 Jul 2019 18:55:49 +0100
