=== styles/Hacker/CMakeLists.txt ===

add_subdirectory( Contents ) 

########### install files ###############

install( FILES COPYRIGHT README gpl.txt  DESTINATION ${KDE_INSTALL_DATADIR}/kopete/styles/Hacker)
