=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
                libjpeg-dev,
                libjsoncpp-dev,
                libkf5config-dev (>= 5.25.0~),
-               libkf5contacts-dev (>= 4:19.04.3~),
+               libkf5contacts-dev (>= 4:19.08.3~),
                libkf5coreaddons-dev (>= 5.25.0~),
                libkf5crash-dev (>= 5.25.0~),
                libkf5dbusaddons-dev (>= 5.25.0~),
@@ -30,12 +30,12 @@
                libkf5doctools-dev (>= 5.25.0~),
                libkf5emoticons-dev (>= 5.25.0~),
                libkf5i18n-dev (>= 5.25.0~),
-               libkf5identitymanagement-dev (>= 19.04.3~),
+               libkf5identitymanagement-dev (>= 19.12.3~),
                libkf5kcmutils-dev (>= 5.25.0~),
                libkf5kdelibs4support-dev (>= 5.25.0~),
                libkf5khtml-dev (>= 5.25.0~),
                libkf5kio-dev (>= 5.25.0~),
-               libkf5libkleo-dev (>= 4:19.04.3~),
+               libkf5libkleo-dev (>= 4:19.12.3~),
                libkf5notifyconfig-dev (>= 5.25.0~),
                libkf5parts-dev (>= 5.25.0~),
                libkf5texteditor-dev (>= 5.25.0~),
