=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
   CONFIGURE_ARGS += -DWITH_GOOGLETALK=false
 endif
 
-l10npkgs_firstversion_ok := 4:18.04.0~
+l10npkgs_firstversion_ok := 4:17.08.3~
 
 include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
 include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk
